sc::AccResult(3)

NAME
sc::AccResult - This associates a result datum with an accuracy.

SYNOPSIS

#include <comptmpl.h>

Inherits sc::AccResultInfo.

  Public Member Functions
AccResult (Compute *c)
AccResult (const AccResult< T > &r, Compute *c)
operator T & ()
T * operator-> ()
T & result ()
T & result_noupdate ()
const T & result_noupdate () const
void operator= (const T &a)
void operator= (const AccResult< T > &r)
void restore_state (StateIn &s)
void save_data_state (StateOut &s)
AccResult (StateIn &s, Compute *c)

Detailed Description

  template<class T> class sc::AccResult< T >
This associates a result datum with an accuracy. If the result datum is to be saved or restored use SSAccResult.

Author

Generated automatically by Doxygen for MPQC from the source code.